/*
 * Created on Aug 2, 2007
 */
package edu.bu.signstream.codingScheme.ui.importLegacyCodingScheme;

import java.util.ArrayList;

public class LegacyCodingSchemaEntity {

   private String id;
   private String fieldID;
   private String name;
   private String label;
   private String masterName = null;
   private String masterLabel = null;
   
   // * if this field is different then corresponding field in master coding schema or not found in master coding schema.  
   private String diffEntityMarker;
   
   // * if not found im master schema
   private String notFoundInMasterSchemaMarker;
   
   private ArrayList children = new ArrayList();

   public ArrayList getChildren() {
      return children;   
   }
   
   
   public void setChildren(ArrayList children) {
      this.children = children;
   }
    

   public String getDiffEntityMarker() {
      return diffEntityMarker;
   }


   public String getId() {
      return id;
   }


   public String getLabel() {
      
      if(masterLabel != null)
         return "Old: <" + label + "> new <" + masterLabel + ">"; 
         
      return label;
   }


   public String getName() {
      
      if(masterName != null)
         return "old: <" + name + "> new <" + masterName + ">"; 
      
      return name;
   }


   public String getNotFoundInMasterSchemaMarker() {
      return notFoundInMasterSchemaMarker;
   }


   public void setDiffEntityMarker(String string) {
      diffEntityMarker = string;
   }


   public void setId(String string) {
      id = string;
   }


   public void setLabel(String string) {
      label = string;
   }


   public void setMasterLabel(String string) {
      masterLabel = string;
   }


   public void setMasterName(String string) {
      masterName = string;
   }


   public void setName(String string) {
      name = string;
   }


   public void setNotFoundInMasterSchemaMarker(String string) {
      notFoundInMasterSchemaMarker = string;
   }
   
   public void setFieldID(String fieldID) {
      this.fieldID = fieldID;
   }

   public String getFieldID() {
      return fieldID;
   }
}
