package edu.bu.signstream.common.util.https.requestBuilder.wrappers;

import org.apache.http.entity.ContentType;

/**
 * A Basic DataWrapper class that contains a form label and a content type for the HttpRequest class
 */
public class DataWrapper {
    private final String formLabel; // The form label for the data
    private final ContentType contentType; // The content type for the data

    protected DataWrapper(String formLabel, ContentType contentType) {
        this.formLabel = formLabel;
        this.contentType = contentType;
    }

    public String getFormLabel() {
        return this.formLabel;
    }

    public ContentType getContentType() {
        return this.contentType;
    }
}
