package edu.bu.signstream.common.util.vo.ss3.codingScheme.templates;

import java.util.ArrayList;

public class CSHandShapePalette {

   private String id;
   private String name;
   private ArrayList<CSPaletteItemGroup> groups;

   public CSHandShapePalette(String id, String name) {
      this.id = id;
      this.name = name;
      this.groups = new ArrayList<>();
   }

    public String getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setOrder(int order) {
        this.name = Integer.toString(order);
    }

    public void addGroup(CSPaletteItemGroup group) {
        this.groups.add(group);
    }

    public ArrayList<CSPaletteItemGroup> getGroups() {
        return this.groups;
    }
}
