package edu.bu.signstream.grepresentation.fields.gestureField.dialog.handShapes;

import java.util.ArrayList;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;

public class GestureHandShapesPaletteFormBean {
	private ArrayList handValues = new ArrayList();

	private ArrayList selectedHshImages = new ArrayList();
	private String title = "";
	private boolean rHandSelected = true;
	
	private ArrayList<OrientationImage> selectedFingerTipOrientationImages = new ArrayList<>();
	private ArrayList<OrientationImage> selectedPalmOrientationImages = new ArrayList<>();
   
//   private String languageID = "0";
//   private String languageHandshapesType = "A";
//   private boolean unmarked = false;
    private boolean fingerspelled = false;

    public enum PaletteType {
        RIGHT,
	    LEFT,
	    RIGHT_N_LEFT;
    }

    private PaletteType paletteType;
   
    private int paletteID = 0;
   
    private SS3CodingScheme codingScheme = null;

	public boolean isRightHandSelected() {
		return rHandSelected;
	}

	public void setPaletteID(int paletteID) {
		this.paletteID = paletteID;
	}

	public int getPaletteID() {
		return paletteID;
	}

	public PaletteType getPaletteType() {
		return paletteType;
	}

	public String getTitle() {
		return title;
	}

	public ArrayList getValues() {
		return handValues;
	}

	public void setValues(ArrayList handValues) {
		this.handValues = handValues;
	}

	public void setRightHandSelected(boolean b) {
		rHandSelected = b;
	}

	public void setTitle(String string) {
		title = string;
	}
	
	public ArrayList getSelectedHshImages() {
		return selectedHshImages;
	}
	
	public ArrayList getSelectedFingerTipOrientationImages() {
		return selectedFingerTipOrientationImages;
	}

	public ArrayList<OrientationImage> getSelectedPalmOrientationImages() {
		return selectedPalmOrientationImages;
	}



	public void setSelectedHshImages(ArrayList list) {
//		this.selectedHshImages = list;
		this.selectedHshImages.clear();
		this.selectedHshImages.addAll(list);
	}
	public void setSelectedFingerTipOrientationImages(ArrayList<OrientationImage> list) {
//		this.selectedHshImages = list;
		this.selectedFingerTipOrientationImages.clear();
		this.selectedFingerTipOrientationImages.addAll(list);
	}

	public void setSelectedPalmOrientationImages(ArrayList<OrientationImage> palmOrientationImages) {
		this.selectedPalmOrientationImages.clear();
		this.selectedPalmOrientationImages.addAll(palmOrientationImages);
	}

   public SS3CodingScheme getCodingScheme() {
      return codingScheme;
   }

   public void setCodingScheme(SS3CodingScheme scheme) {
      codingScheme = scheme;
   }

   public boolean isFingerspelled() {
      return fingerspelled;
   }

   public void setFingerspelled(boolean b) {
      fingerspelled = b;
   }
}
