package edu.bu.signstream.grepresentation.fields.gestureField.orientationField;


import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;
import edu.bu.signstream.grepresentation.view.main.Slider;

// add NewGestureOrientationEntity on mousePressedAlt. create Orientation on MouseReleased. 
// Store NewGestureOrientationEntity in Entity. Paint it.
public class NewGestureOrientationEntity {

   private int startTimeCoord;
   private int endTimeCoord;
   private SignStreamSegmentPanel segmentPanel;

   public NewGestureOrientationEntity(SignStreamSegmentPanel segmentPanel) {
	   this.segmentPanel = segmentPanel;
   }
   
   public int getEndTimeCoord() {
      return endTimeCoord;
   }

   public int getStartTimeCoord() {
      return startTimeCoord;
   }

   public void setEndTimeCoord(int i) {
      endTimeCoord = i;
      Slider slider = segmentPanel.getSlider();
      slider.setSliderPosition(i, true);
   }

   public void setStartTimeCoord(int i) {
      startTimeCoord = i;
   }

   @Override
public String toString() {
      return "NewGestureOrientationEntity: startTimeCoord = "
         + startTimeCoord
         + ", endTimeCoord = "
         + endTimeCoord;
   }
}
