package edu
	.bu
	.signstream
	.grepresentation
	.fields
	.glossField
	.dialog
	.associatedFields;

import java.util.ArrayList;

import edu.bu.signstream.grepresentation.fields.handShapeField.dialogs.HandShapeImage;

public class HandShapeBean {

	private char type;

    private boolean isRightHandSelected = true;

    private boolean updated = false;

	private ArrayList<HandShapeImage> selectedDomHandShapeImages = new ArrayList<HandShapeImage>();
	private ArrayList<HandShapeImage> selectedNdomHandShapeImages = new ArrayList<HandShapeImage>();

    public void setUpdated(boolean updated) {
        this.updated = updated;
    }

    public boolean isUpdated() {
        return updated;
    }

    public void clearNdomHandShapeImages() {
        selectedNdomHandShapeImages.clear();
    }

    public void clearDomHandShapeImages() {
        selectedDomHandShapeImages.clear();
    }

    public void setRightHandSelected(boolean isRightHandSelected) {
        this.isRightHandSelected = isRightHandSelected;
    }

	/**
	 * @return
	 */
	public ArrayList<HandShapeImage> getSelectedNdomHandShapeImages() {
		return selectedNdomHandShapeImages;
	}

	/**
	 * @return
	 */
	public ArrayList<HandShapeImage> getSelectedDomHandShapeImages() {
		return selectedDomHandShapeImages;
	}

	/**
	 * @return
	 */
	public char getType() {
		return type;
	}

	/**
	 * @param list
	 */
	public void setSelectedNdomHandShapeImages(ArrayList<HandShapeImage> list) {
		clearNdomHandShapeImages();
		selectedNdomHandShapeImages.addAll(list);
	}

	/**
	 * @param list
	 */
	public void setSelectedDomHandShapeImages(ArrayList<HandShapeImage> list) {
		clearDomHandShapeImages();
		selectedDomHandShapeImages.addAll(list);
	}

	/**
	 * @param c
	 */
	public void setType(char c) {
		type = c;
	}
}
