package edu.bu.signstream.grepresentation.view;

import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;
import edu.bu.signstream.time.Time;
import edu.bu.signstream.time.TimeRange;
import edu.bu.signstream.time.TimeUnit;

public class DatabaseViewState {
    public final double zoom;
    public final Time scroll;

    public DatabaseViewState(DatabaseView view) {
        this.zoom = SS3Singleton.getMediaToolBar().segmentPanel().getZoomer().zoom();

        var x = Math.round(view.pictureScrollPane.getViewport().getViewPosition().getX());
        this.scroll = TimeRange.ABSOLUTE.time(x, TimeUnit.COORDINATE);
    }
}
