package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class PlaySelectedEventListener extends BaseListener implements ActionListener {

	public PlaySelectedEventListener(MediaToolBar bar) { super(bar); }

	@Override
	public void actionPerformed(ActionEvent e) {
	    var event = bar.selectedEvent();

        player.pause();
        if (event.interval().empty()) {
            player.seek(event.getStartTimeInfo());
        } else {
            player.seek(event.interval());
            player.play();
        }
    }
}
