package edu.bu.signstream.ui.panels.colorChooser;

import java.awt.*;
import javax.swing.*;


class ColorRendererer extends JLabel implements ListCellRenderer {
	private ColorIcon icon = new ColorIcon();

	public ColorRendererer() {
		setOpaque(true);
		setIcon(icon);
	}
	@Override
	public Component getListCellRendererComponent(
		JList list,
		Object value,
		int index,
		boolean isSelected,
		boolean cellHasFocus) {
		Item item = (Item) value;

		icon.setColor(item.getColor());
		setText(item.toString());

		if (isSelected) {
			setForeground(list.getSelectionForeground());
			setBackground(list.getSelectionBackground());
		} else {
			setForeground(list.getForeground());
			setBackground(list.getBackground());
		}
		return this;
	}
}