package edu.bu.signstream.ui.video.controlPanelIcons;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;

public class GoLastFrameIcon extends VideoControlPanelIcon {

	public GoLastFrameIcon(boolean enabled, int width, int height) {
		super(enabled, width, height);
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Graphics2D g2 = (Graphics2D) g;

		g2.setBackground(getBackground());
		g2.setColor(getBackground());

		g2.fillRect(0, 0, this.getIconWidth(), this.getIconHeight());

		g2.setPaint(getGradientPaint());

		Rectangle r1 = new Rectangle(14, 4, 2, 15);
		g2.fill(r1);

		g2.drawLine(7, 4, 14, 11);
		g2.drawLine(6, 4, 13, 11);
		g2.drawLine(7, 18, 14, 11);
	}
}
