package edu.bu.signstream.common.util.https.requestBuilder.wrappers;

import org.apache.http.entity.ContentType;

import java.io.File;

/**
 * A FileWrapper class that extends the DataWrapper class and contains a file
 */
public class FileWrapper extends DataWrapper {
    private final File file;

    public FileWrapper(String formLabel, File file, ContentType contentType) {
        super(formLabel, contentType);
        this.file = file;
    }

    public File getFile() {
        return this.file;
    }
}
