package edu.bu.signstream.common.util.vo;

import edu.bu.signstream.time.Time;

public class TrackValue {
	//private int startTime, endTime, 
   private int valueId = -1;
	
	private Time startTimeInfo, endTimeInfo, utteranceStartTimeInfo;
	// in case of HandShape use textValue for toolTipText
	private String textValue;
	//private String imgPath;

	public TrackValue() {
	}
   
   public TrackValue(String id, String textValue, Time startTimeInfo, Time endTimeInfo) {
    this.valueId = 0;

    if (id != null && !id.equalsIgnoreCase("")) {
       this.valueId = Integer.parseInt(id);
    }

    this.textValue = textValue;
    this.startTimeInfo = startTimeInfo;
    this.endTimeInfo = endTimeInfo;
   }

//	public TrackValue(String id, String textValue, String start, String end) {
//		this.valueId = 0;
//
//		if (id != null && !id.equalsIgnoreCase("")) {
//			this.valueId = Integer.parseInt(id);
//		}
//
//		this.textValue = textValue;
//		this.startTime = Integer.parseInt(start);
//		this.endTime = Integer.parseInt(end);
//	}
/*	
	public String getImagePath() {
		return imgPath;
	}
	
	public void setImgPath(String imgPath) {
		this.imgPath = imgPath;
	}
*/
	public double getDuration() {
		return endTimeInfo.doubleValue() - startTimeInfo.doubleValue();
	}

	public double getAbsoluteDuration() {
		return getEndTimeAsDouble() - getStartTimeAsDouble();
	}

//	public int getEndTime() {
//		return endTime;
//	}
//
//	public int getStartTime() {
//		return startTime;
//	}

	public double getEndTimeAsDouble() {
		return (new Double("" + endTimeInfo.doubleValue())).doubleValue();
	}

	public double getStartTimeAsDouble() {
		return (new Double("" + startTimeInfo.doubleValue())).doubleValue();
	}

	public String getTextValue() {
		return textValue;
	}

	public int getValueId() {
		return valueId;
	}

//	public void setEndTime(int i) {
//		endTime = i;
//	}
//
//	public void setStartTime(int i) {
//		startTime = i;
//	}

	public void setTextValue(String string) {
		textValue = string;
	}

	public void setValueId(int i) {
		valueId = i;
	}
	
	public void setValueId(String valueID) {
		this.valueId = Integer.parseInt(valueID); 
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		//sb.append("TrackValue:");
		//sb.append("\n valueId = ");
		//sb.append(valueId);
//		sb.append(" startTime = ");
//		sb.append(startTime);
//		sb.append(" endTime = ");
//		sb.append(endTime);
		sb.append(" textValue = ");
		sb.append(textValue);
		return sb.toString();
	}

	public Time getEndTimeInfo() {
		return endTimeInfo;
	}

//	public void setEndFrame(TimeInfo endTimeInfo) {
//		this.endTimeInfo = endTimeInfo;
//	}

	public Time getStartTimeInfo() {
		return startTimeInfo;
	}
//
//	public void setStartFrame(TimeInfo startTimeInfo) {
//		this.startTimeInfo = startTimeInfo;
//	}

   public void setEndTimeInfo(Time info) {
      endTimeInfo = info;
   }

   public void setStartTimeInfo(Time info) {
      startTimeInfo = info;
   }
   
   public void setUtteranceTimeInfo(Time utteranceStartTimeInfo) {
      this.utteranceStartTimeInfo = utteranceStartTimeInfo;
   }
   
   public Time getUtteranceTimeInfo() {
      return utteranceStartTimeInfo;
   }
}
