package edu.bu.signstream.common.util.vo.ss3;

import java.awt.*;
import javax.swing.*;

import edu.bu.signstream.grepresentation.view.main.*;
import edu.bu.signstream.grepresentation.view.mediaControl.MediaToolBar;

public class ToolBarsPanel extends JPanel {
	private SegmentToolBar segmentsTbar;
	private MediaToolBar mediaTbar;
	private JToolBar signStreamTbar;

	public ToolBarsPanel() {
		setLayout(new GridLayout(0, 1));
	}

	public void setSegmentsTbar(SegmentToolBar segmentsTbar) {
		this.segmentsTbar = segmentsTbar;
		setToolBars();
	}

	public void setMediaTbar(MediaToolBar mediaTbar) {
		this.mediaTbar = mediaTbar;
		setToolBars();
	}
	
	public MediaToolBar getMediaToolBar() {
		return mediaTbar;
	}

	public void setSignStreamTbar(JToolBar signStreamTbar) {
		this.signStreamTbar = signStreamTbar;
		setToolBars();
	}

	public SegmentToolBar getSegmentsTbar() {
		return segmentsTbar;
	}

	private MediaToolBar getMediaTbar() {
		return mediaTbar;
	}

	private JToolBar getSignStreamTbar() {
		return signStreamTbar;
	}

	private void setToolBars() {
		removeAll();
		if (signStreamTbar != null)
			add(signStreamTbar);
		if (mediaTbar != null)
			add(mediaTbar);
		if (segmentsTbar != null)
			add(segmentsTbar);
	}
}
