package edu.bu.signstream.common.util.vo.ss3.participants;

import java.util.*;

public class College {
	private String name;
	private ArrayList degrees = new ArrayList(); 
	private int graduationYear;
	
	public ArrayList getDegrees() {
		return degrees;
	}

	public int getGraduationYear() {
		return graduationYear;
	}

	public String getName() {
		return name;
	}

	public void addDegree(String degree) {
		degrees.add(degree);
	}

	public void setGraduationYear(int i) {
		graduationYear = i;
	}
	
	public void setGraduationYear(String gYear) {
		graduationYear = Integer.parseInt(gYear);
	}

	public void setName(String string) {
		name = string;
	}
	
	@Override
	public String toString() {
		StringBuffer bf = new StringBuffer();
		bf.append(name);
		bf.append(", ");
		
		for(int i = 0; i < degrees.size(); i++) {
			bf.append(degrees.get(i));
				bf.append(", ");
		}
		
		bf.append("graduated in ");
		bf.append(graduationYear);
		return bf.toString();
	} 
}
