package edu.bu.signstream.grepresentation.fields.gestureField.dialog.handShapes;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3CodingScheme;
import edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields.HandShapeFormBean;
import edu.bu.signstream.grepresentation.fields.glossField.dialog.handShapes.HandShapesPaletteFormBean;
import edu.bu.signstream.grepresentation.requestsHandler.SS3Singleton;
import edu.bu.signstream.grepresentation.fields.gestureField.dialog.GestureHandShapePanel;

public class GestureDblHandshapeDialog extends JDialog implements ActionListener {

   private GestureHandShapePanel panel = null;

	public GestureDblHandshapeDialog(
			HandShapesPaletteFormBean rhFormBean,
			HandShapesPaletteFormBean lhFormBean,
			HandShapeFormBean bean, GestureHandShapePanel panel, SS3CodingScheme scheme) {

		super(SS3Singleton.getSignStreamApplication(), "Palette");
		super.setLocationRelativeTo(SS3Singleton.getSignStreamApplication());

		this.panel = panel;

		addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});

		GestureDblHandshapePalette pal =
			new GestureDblHandshapePalette(rhFormBean, lhFormBean, bean, scheme, this, panel);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout(50, 50));
		contentPane.add(pal, BorderLayout.CENTER);

		this.pack();
	}
   
   @Override
public void dispose() {
      super.dispose();
      panel.updateSelectedIconsPanel();
   }

	@Override
	public void actionPerformed(ActionEvent ae) {
		String str = ae.getActionCommand();
	}
}
