package edu.bu.signstream.grepresentation.fields.glossField.dialog;

import java.util.*;
import edu.bu.signstream.grepresentation.fields.EventsEntity;

public class DependentEntitiesManager {
	private ArrayList<EventsEntity> dEntities;

	public DependentEntitiesManager(ArrayList<EventsEntity> dEntities) {
		this.dEntities = dEntities;
	}

	public EventsEntity getEventsEntityWithFieldID(String fieldID) {
		for(EventsEntity entity : dEntities) { 
			String fID = entity.getField().getFieldID();
			if (fieldID.equals(fID)) {
				return entity;
			}
		}
		return null;
	}
	
	public void delete(String fieldID) {
		ArrayList<EventsEntity> toDelete = new ArrayList<EventsEntity>();
		for(EventsEntity entity : dEntities) { 
			String fID = entity.getField().getFieldID();
			if (fieldID.equals(fID)) {
				toDelete.add(entity);
			}
		}
		
		for(EventsEntity td: toDelete) {
			dEntities.remove(td);
		}
	}
}
