package edu.bu.signstream.ui.panels.codingScheme;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.ButtonGroup;
import javax.swing.DefaultCellEditor;
import javax.swing.JCheckBox;
import javax.swing.JRadioButton;
import javax.swing.JTable;
import javax.swing.SwingConstants;

public class RadioButtonEditor extends DefaultCellEditor implements ActionListener {
	  private JRadioButton button;
	  private boolean checked;
	  public ButtonGroup buttonGroup;

	  public RadioButtonEditor(JCheckBox checkBox) {
	    super(checkBox);
	    button = new JRadioButton();
	    button.setHorizontalAlignment(SwingConstants.CENTER);
	  }

	  public Component getTableCellEditorComponent(JTable table, Object value,
	      boolean isSelected, int row, int column) {
	    checked = (Boolean) value;
	    button.setSelected((boolean) value);
	    button.addActionListener(this);
	    return (Component) button;
	  }

	  public Object getCellEditorValue() {
	    //button.removeItemListener(this);
	    return (Boolean)button.isSelected();
	  }

    @Override
	public void actionPerformed(ActionEvent e) {
          checked = button.isSelected();           
          fireEditingStopped();
    }
}
