package edu.bu.signstream.ui.panels.colorChooser;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

abstract class AbstractComboBoxEditor implements ComboBoxEditor {
	EventListenerList listenerList = new EventListenerList();

	@Override
	public void addActionListener(ActionListener listener) {
		listenerList.add(ActionListener.class, listener);
	}
	@Override
	public void removeActionListener(ActionListener listener) {
		listenerList.remove(ActionListener.class, listener);
	}
	protected void fireActionPerformed(ActionEvent e) {
		// Guaranteed to return a non-null array
		Object[] listeners = listenerList.getListenerList();

		// Process the listeners last to first, notifying
		// those that are interested in this event
		for (int i = listeners.length - 2; i >= 0; i -= 2) {
			if (listeners[i] == ActionListener.class) {
				((ActionListener) listeners[i + 1]).actionPerformed(e);
			}
		}
	}
}